### Method

# Adw SpringAnimationcalculate_value

since: 1.3

#### Declaration [src]

    double
    adw_spring_animation_calculate_value (
      AdwSpringAnimation* self,
      guint time
    )

#### Description [src]

Calculates the value `self` will have at `time`.

The time starts at 0 and ends at `AdwSpringAnimation:estimated-duration`.

See also `adw_spring_animation_calculate_velocity()`.

Available since: 1.3

#### Parameters

`time`

  Type: `guint`

  Elapsed time, in milliseconds.

#### Return value

Type: `double`

The value at `time`.